Skip to main content
GET
Retrieve a wallet

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user.

Pattern: ^user_[A-Za-z0-9]+$
walletId
string
required

Public ID of the wallet (prefixed with wlt_)

Response

Wallet retrieved successfully.

A HIFI-provisioned custodial wallet on a single chain.

id
string

Public ID of the wallet (prefixed with wlt_).

Example:

"wlt_1aLcs3Kf9dQ2mNpXwZ7bV"

userId
string

Public ID of the user this wallet belongs to (prefixed with usr_).

Example:

"usr_3Kf9dQ2mNpXwZ7bV1aLcs"

chain
enum<string>

Blockchain the wallet is provisioned on.

Available options:
POLYGON,
SOLANA,
ETHEREUM,
BASE,
BSC,
FLOW_EVM,
CANTON,
TRON
Example:

"POLYGON"

address
string

On-chain wallet address.

Example:

"0x1234567890abcdef1234567890abcdef12345678"

createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"